claw::meta::type_list< Head, Queue > Struct Template Reference

Use this class to make a list of types. More...

`#include <type_list.hpp>`

## Public Types

typedef Head | head_type
| The first type in the list.
typedef Queue | queue_type
| The remaining types in the list.

## Detailed Description

template<typename Head, typename Queue>
struct claw::meta::type_list< Head, Queue >

Use this class to make a list of types.

Template parameters

- Head The first type of the list.
- Queue A list of the remaining types.

All type_list methods suppose that the list ends withe the type no_type.

Example

type_list< int, typelist<float, no_type> > is a list of two types. The last type (no_type) is used to indicate the end of the list.

Author
  Julien Jorge

Definition at line 59 of file type_list.hpp.

## Member Typedef Documentation

## head_type

template<typename Head, typename Queue>

typedef Head claw::meta::type_list< Head, Queue >::head_type

The first type in the list.

Definition at line 62 of file type_list.hpp.

## queue_type

template<typename Head, typename Queue>

typedef Queue claw::meta::type_list< Head, Queue >::queue_type

The remaining types in the list.

Definition at line 65 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp